Subject: Re: bug#40310: IceCat reports navigator.platform as Win32
From: Marius Bakke <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 30 May 2020 19:35:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Alexandru-Sergiu Marton <[email-masked]> writes:

> Hi,
>
> I found out about this problem when going on Rust's website at https://www.rust-lang.org/tools/install and they tell me that "It looks like I'm running Windows".
>
> I checked their code and they look for the navigator.platform value, which on IceCat on Guix System is "Win32".
>
> Obviously, Guix System is not Windows. Or is it?

IceCat pretends to be Windows in order to make it more difficult to
fingerprint users based on User-Agent.  So this is a feature, not a
bug.  :-)